mqtt:
  binary_sensor:
    - name: jaffa_locked
      unique_id: uniqueid__jaffa_locked
      state_topic: "weconnect/0/vehicles/WVGZZZE2ZPE051949/domains/access/accessStatus/doorLockStatus"
      payload_off: "locked"
      payload_on: "unlocked"
      device_class: lock
  
  sensor:
    - name: jaffa_long
      unique_id: uniqueid__jaffa_long
      state_topic: "weconnect/0/vehicles/WVGZZZE2ZPE051949/parking/parkingPosition/longitude"
      unit_of_measurement: °
      entity_category: diagnostic
      device:
        identifiers: jaffa


    - name: jaffa_lat
      unique_id: uniqueid__jaffa_lat
      state_topic: "weconnect/0/vehicles/WVGZZZE2ZPE051949/parking/parkingPosition/latitude"
      unit_of_measurement: °
      entity_category: diagnostic
      device:
        identifiers: jaffa

    - name: jaffa_battery_soc
      unique_id: uniqueid__jaffa_battery_soc
      state_topic: "weconnect/0/vehicles/WVGZZZE2ZPE051949/domains/charging/batteryStatus/currentSOC_pct"
      unit_of_measurement: %
      device_class: battery
      device:
        identifiers: jaffa

    - name: jaffa_rated_battery_range_km
      unique_id: jaffa_rated_battery_range_km
      state_topic: "weconnect/0/vehicles/WVGZZZE2ZPE051949/domains/charging/batteryStatus/cruisingRangeElectric_km"
      unit_of_measurement: km
      device_class: distance
      device:
        identifiers: jaffa
